
using System;
using System.Collections.Generic;
using System.Text;

namespace Lesson2
{
	public class Employee1 : Address1 
	{
		private string name;
		private DateTime dateOfHire;
		private decimal baseSalary;

		public string Name
		{
			set { this.name = value; }
			get { return this.name; }
		}

		public DateTime DateOfHire
		{
			set { this.dateOfHire = value; }
			get { return this.dateOfHire; }
		}

		public decimal BaseSalary
		{
			set { this.baseSalary = value; }
			get { return this.baseSalary; }
		}
	}
}
